/* 
 * Original Leflet non-ie css
 *
 *
 */

/* required styles */

.leaflet-map-pane,
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow,
.leaflet-tile-pane,
.leaflet-overlay-pane,
.leaflet-shadow-pane,
.leaflet-marker-pane,
.leaflet-popup-pane,
.leaflet-overlay-pane svg,
.leaflet-zoom-box,
.leaflet-image-layer { /* TODO optimize classes */
	position: absolute;
	}
.leaflet-container {
	overflow: hidden;
	}
.leaflet-tile-pane {
	-webkit-transform: translate3d(0,0,0);
	}
.leaflet-tile,
.leaflet-marker-icon,
.leaflet-marker-shadow {
	-moz-user-select: none;
	-webkit-user-select: none;
	user-select: none;
	}
.leaflet-marker-icon,
.leaflet-marker-shadow {
	display: block;
	}
.leaflet-clickable {
	cursor: pointer;
	}
.leaflet-container img {
	max-width: none !important;
	}

.leaflet-tile-pane { z-index: 2; }

.leaflet-objects-pane { z-index: 3; }
.leaflet-overlay-pane { z-index: 4; }
.leaflet-shadow-pane { z-index: 5; }
.leaflet-marker-pane { z-index: 6; }
.leaflet-popup-pane { z-index: 7; }

.leaflet-zoom-box {
	width: 0;
	height: 0;
	}

.leaflet-tile {
	visibility: hidden;
	}
.leaflet-tile-loaded {
	visibility: inherit;
	}

a.leaflet-active {
	outline: 2px solid orange;
	}


/* Leaflet controls */

.leaflet-control {
	position: relative;
	z-index: 7;
	}
.leaflet-top,
.leaflet-bottom {
	position: absolute;
	}
.leaflet-top {
	top: 0;
	}
.leaflet-right {
	right: 0;
	}
.leaflet-bottom {
	bottom: 0;
	}
.leaflet-left {
	left: 0;
	}
.leaflet-control {
	float: left;
	clear: both;
	}
.leaflet-right .leaflet-control {
	float: right;
	}
.leaflet-top .leaflet-control {
	margin-top: 10px;
	}
.leaflet-bottom .leaflet-control {
	margin-bottom: 10px;
	}
.leaflet-left .leaflet-control {
	margin-left: 10px;
	}
.leaflet-right .leaflet-control {
	margin-right: 10px;
	}

.leaflet-control-zoom, .leaflet-control-layers {
	-moz-border-radius: 7px;
	-webkit-border-radius: 7px;
	border-radius: 7px;
	}
.leaflet-control-zoom {
	padding: 5px;
	background: rgba(0, 0, 0, 0.25);
	}
.leaflet-control-zoom a {
	background-color: rgba(255, 255, 255, 0.75);
	}
.leaflet-control-zoom a, .leaflet-control-layers a {
	background-position: 50% 50%;
	background-repeat: no-repeat;
	display: block;
	}
.leaflet-control-zoom a {
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
	border-radius: 4px;
	width: 19px;
	height: 19px;
	}
.leaflet-control-zoom a:hover {
	background-color: #fff;
	}
.leaflet-big-buttons .leaflet-control-zoom a {
	width: 27px;
	height: 27px;
	}
.leaflet-control-zoom-in {
	background-image: url(images/zoom-in.png);
	margin-bottom: 5px;
	}
.leaflet-control-zoom-out {
	background-image: url(images/zoom-out.png);
	}

.leaflet-control-layers {
	-moz-box-shadow: 0 0 7px #999;
	-webkit-box-shadow: 0 0 7px #999;
	box-shadow: 0 0 7px #999;

	background: #f8f8f9;
	}
.leaflet-control-layers a {
	background-image: url(images/layers.png);
	width: 36px;
	height: 36px;
	}
.leaflet-big-buttons .leaflet-control-layers a {
	width: 44px;
	height: 44px;
	}
.leaflet-control-layers .leaflet-control-layers-list,
.leaflet-control-layers-expanded .leaflet-control-layers-toggle {
	display: none;
	}
.leaflet-control-layers-expanded .leaflet-control-layers-list {
	display: block;
	position: relative;
	}
.leaflet-control-layers-expanded {
	padding: 6px 10px 6px 6px;
	font: 12px/1.5 "Helvetica Neue", Arial, Helvetica, sans-serif;
	color: #333;
	background: #fff;
	}
.leaflet-control-layers input {
	margin-top: 2px;
	position: relative;
	top: 1px;
	}
.leaflet-control-layers label {
	display: block;
	}
.leaflet-control-layers-separator {
	height: 0;
	border-top: 1px solid #ddd;
	margin: 5px -10px 5px -6px;
	}

.leaflet-container .leaflet-control-attribution {
	margin: 0;
	padding: 0 5px;

	font: 11px/1.5 "Helvetica Neue", Arial, Helvetica, sans-serif;
	color: #333;

	background-color: rgba(255, 255, 255, 0.7);

	-moz-box-shadow: 0 0 7px #ccc;
	-webkit-box-shadow: 0 0 7px #ccc;
	box-shadow: 0 0 7px #ccc;
	}


/* Fade animations */

.leaflet-fade-anim .leaflet-tile {
	opacity: 0;

	-webkit-transition: opacity 0.2s linear;
	-moz-transition: opacity 0.2s linear;
	-o-transition: opacity 0.2s linear;
	transition: opacity 0.2s linear;
	}
.leaflet-fade-anim .leaflet-tile-loaded {
	opacity: 1;
	}

.leaflet-fade-anim .leaflet-popup {
	opacity: 0;

	-webkit-transition: opacity 0.2s linear;
	-moz-transition: opacity 0.2s linear;
	-o-transition: opacity 0.2s linear;
	transition: opacity 0.2s linear;
	}
.leaflet-fade-anim .leaflet-map-pane .leaflet-popup {
	opacity: 1;
	}

.leaflet-zoom-anim .leaflet-tile {
	-webkit-transition: none;
	-moz-transition: none;
	-o-transition: none;
	transition: none;
	}

.leaflet-zoom-anim .leaflet-objects-pane {
	visibility: hidden;
	}


/* Popup layout */

.leaflet-popup {
	position: absolute;
	text-align: center;
	-webkit-transform: translate3d(0,0,0);
	}
.leaflet-popup-content-wrapper {
	padding: 1px;
	text-align: left;
	}
.leaflet-popup-content {
	margin: 19px;
	}
.leaflet-popup-tip-container {
	margin: 0 auto;
	width: 40px;
	height: 16px;
	position: relative;
	overflow: hidden;
	}
.leaflet-popup-tip {
	width: 15px;
	height: 15px;
	padding: 1px;

	margin: -8px auto 0;

	-moz-transform: rotate(45deg);
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	-o-transform: rotate(45deg);
	transform: rotate(45deg);
	}
.leaflet-popup-close-button {
	position: absolute;
	top: 9px;
	right: 9px;

	width: 10px;
	height: 10px;

	overflow: hidden;
	}
.leaflet-popup-content p {
	margin: 18px 0;
	}


/* Visual appearance */

.leaflet-container {
	background: #ddd;
	}
.leaflet-container a {
	color: #0078A8;
	}
.leaflet-zoom-box {
	border: 2px dotted #05f;
	background: white;
	opacity: 0.5;
	}
.leaflet-popup-content-wrapper, .leaflet-popup-tip {
	background: white;

	box-shadow: 0 1px 10px #888;
	-moz-box-shadow: 0 1px 10px #888;
	 -webkit-box-shadow: 0 1px 14px #999;
	}
.leaflet-popup-content-wrapper {
	-moz-border-radius: 20px;
	-webkit-border-radius: 20px;
	border-radius: 20px;
	}
.leaflet-popup-content {
	font: 12px/1.4 "Helvetica Neue", Arial, Helvetica, sans-serif;
	}
.leaflet-popup-close-button {
	background: white url(images/popup-close.png);
	}


/*
 * Custom css
 *
 *
 */



.geocodeButton {
	background: white url('images/go.png') no-repeat;
	height: 22px;
	width: 19px;
	clear: right;
	margin-top: -2px;
	
}
.geocodeButton:hover {
	cursor: pointer;
}

.instructions{
	font-size: .8em;
	color: gray;
}

.leaflet-top {
	z-index: 7560;
}

a#geocodeAlternatesLabel{
	cursor: pointer;
	text-decoration: underline;
	display: inline-block;
	font-size: 0.8em;
}

.alternates {
	max-height: 85px;
	overflow-y: auto;
	background-color: gray;
	z-index:7560;
	font-size: 0.8em;
	margin-top: 7px;
}

.ui-selected { color: gray; }
.selectable { list-style-type: none; margin: 0; padding: 0; }
.selectable li { margin: 1px;  font-size: .9em; height: 15px; cursor: pointer; height: auto;}
.selectable a{ display: block; padding: 3px; text-decoration: none;}


/* Slider */
.ui-slider-vertical {
	width: .8em;
	top: 18px;
	left: 4px;
}

.ui-slider-vertical .ui-slider-handle {
	margin-left: -4px;
}

.ui-slider .ui-slider-handle {
	width: 23px;
	height: 0.6em;
}

#geocodeAddress {
	margin-bottom:1px;
	min-width: 200px;
}

a.layerSwitcher {
	display: block;
	height: 25px;
	width: 25px;
	background-image: url(images/layers_small.png);
	background-position: 50% 50%;
	background-repeat: no-repeat;
}

.layerControls{
	margin-right: 10px;
	margin-top: 10px;
}

.layerControls ul {
	list-style-type: none;
	margin: 0;
}

.layerControls legend {
	font-size: bold;
	padding-left: 3px;
}

.bubbleContent {
	font-size: 0.9em;
}

.customControl a.customControlLink, .loadingGeolocate {
	display: block;
	width: 19px;
	height: 19px;
	background-position: 50% 50%;
	background-repeat: no-repeat;
	background-color: rgba(255, 255, 255, 0.75);
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
	border-radius: 4px;
}

.customControl a.customControlLink:hover {
	background-color: #fff;
}
	
.customControl {
	z-index:7560;
	padding: 5px;
	background: rgba(0, 0, 0, 0.25);
	-moz-border-radius: 7px;
	-webkit-border-radius: 7px;
	border-radius: 7px;
	margin-left: 10px;
	min-width: 19px;
}

.sliderContainer {
	background: url('images/zoom-point.png');
	background-repeat: repeat-y;
}

.geolocateControls a {
	background-image: url(images/geolocate2.png);
}

.locationIcon{
	background-image: url(images/magnifier.png);
	display: inline-block;
	vertical-align: middle;
}

.markerIcon{
	background-image: url(images/centerMarker.png);
}

.geolocateControls{
	max-width: 19px;
	max-height: 19px;
}

.geoControls{
	margin-top: 10px;
	width: 19px;
}

.geocodeFormContainer div , .layerFormContainer div {
	background: rgb(255,255,255);
	-moz-border-radius: 7px;
	-webkit-border-radius: 7px;
	border-radius: 7px;
	padding: 7px;
}

.geocodeFormContainer {
	padding: 5px;
	position: relative;
	top:0;
	left:35px;
	min-width:248px;
}

.layerFormContainer {
	padding: 5px;
	position: relative;
	top:31px;
	font-size: 0.7em;
	right: 0px;
	min-width:85px;
}


.layerFormContainer div{
	width: auto;
}

#geocodeAlternates, .alternates, .loading, .layerFormContainer, .geocodeFormContainer, .loadingGeolocate, .zoomLevels {
	display: none;
}

.slider a.ui-slider-handle {
	background: rgba(255,255,255,1);
}

.on {
	background-color: rgb(255,255,255);
	background-color: rgba(255, 255, 255, 1) !important;
}

a.regionLevel {
	width: 75px;
	position: absolute;
	background: url("images/zoom-label.png") no-repeat transparent;
	left: 5px;

	text-decoration: none;
	display: block;
	padding: 0 5px 0 10px;
	vertical-align: middle;
	font-size: 0.8em;
	
	color: white !important;
}

a.regionLevel:hover {
	background-color: rgba(0,0,0,0);
	color: white !important;
}

.zoomLevels {
	position: absolute;
	height: 200px;
	width: 100px;
	margin-top: -7px;
	margin-left: 22px;
}

#mouseLatLon {
	color: white;
	margin-right: 10px;
	font-size: 0.7em;
	min-width: 95px;
	text-align: center;
}

#scale {
	font-size: smaller;
	color: white;
	text-align: center;
	font-size: 0.7em;
}

#scale #km {
	max-height: 13px;
	border-bottom: 2px solid white;
	border-right: 2px solid white;
	border-left: 2px solid white;
}

#scale #mi {
	max-height: 13px;
	border-right: 2px solid white;
	border-left: 2px solid white;
	border-top: 2px solid white;
	margin-top: -2px;
}

.geolocateContainer, .markerControl, .leaflet-control-zoom, .locationControl { max-width: 19px; width: 19px;}

.layerForm li { margin-left: 0;}